/* Copyright 2008 Gentoo Foundation
 * Distributed under the terms of the GNU General Public License v2
 * Author: Michael Haubenwallner <haubi@gentoo.org>
 */

#ifndef _aixdll_Executable_h
#define _aixdll_Executable_h

#include "SharedObject.h"

namespace aixdll {

class Executable : public SharedObject
{
public:
	~Executable() {}
	Executable(ObjectKeyPtr const& key, std::string const& flags, std::string const& format)
		: SharedObject(key, flags, format)
	{}
};

}

#endif /* _aixdll_Executable_h */
